Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.control
Class TokenReplacerTest

    java.lang.Object
      org.apache.torque.generator.BaseTest
          org.apache.torque.generator.control.TokenReplacerTest

    public class TokenReplacerTest

extends BaseTest

Constructor Summary
`TokenReplacerTest()`

Method Summary
`void` | `setUp()`
`void` | `testDoubleEscapingOutsideToken()`
`void` | `testEscapingInToken()`
`void` | `testEscapingOutsideToken()`
`void` | `testEscapingTokenStart1()`
`void` | `testEscapingTokenStart2()`
`void` | `testNoToken()`
`void` | `testTokenWithNamespace()`
`void` | `testTokenWithoutNamespace()`
`void` | `testTokenWithSpecialChars()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenReplacerTest

    public TokenReplacerTest()

Method Detail

### setUp

    public void setUp()

### testNoToken

    public void testNoToken()
                     throws Exception

  Throws:
    `Exception`

### testTokenWithoutNamespace

    public void testTokenWithoutNamespace()
                                   throws Exception

  Throws:
    `Exception`

### testTokenWithNamespace

    public void testTokenWithNamespace()
                                throws Exception

  Throws:
    `Exception`

### testEscapingOutsideToken

    public void testEscapingOutsideToken()
                                  throws Exception

  Throws:
    `Exception`

### testEscapingInToken

    public void testEscapingInToken()
                             throws Exception

  Throws:
    `Exception`

### testDoubleEscapingOutsideToken

    public void testDoubleEscapingOutsideToken()
                                        throws Exception

  Throws:
    `Exception`

### testTokenWithSpecialChars

    public void testTokenWithSpecialChars()
                                   throws Exception

  Throws:
    `Exception`

### testEscapingTokenStart1

    public void testEscapingTokenStart1()
                                 throws Exception

  Throws:
    `Exception`

### testEscapingTokenStart2

    public void testEscapingTokenStart2()
                                 throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.